<?php

namespace Drupal\cookiebot_gtm\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Class CookieDeclarationController.
 */
class CookieDeclarationController extends ControllerBase {

  /**
   * Drupal\Core\Config\ConfigFactoryInterface definition.
   *
   * @var \Drupal\Core\Config\ConfigFactoryInterface
   */
  protected $configFactory;

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    $instance = parent::create($container);
    $instance->configFactory = $container->get('config.factory');
    return $instance;
  }

  /**
   * Showpage.
   *
   * @return array
   *   The render array.
   */
  public function showPage() {
    $config = $this->configFactory->get('cookiebot_gtm.cookiebot_gtm_config');

    $jsPath = 'https://consent.cookiebot.com/' . $config->get('cbid') . '/cd.js';
    
    return [
      '#theme' => 'cookiebot_gtm_declaration',
      '#snippet' => '<script id="CookieDeclaration" src="' . $jsPath . '" type="text/javascript" async></script>',
    ];
  }

}
